

from fastapi import APIRouter
from constants.constants import CONSTANTS
from utils import *

router = APIRouter(
    prefix="/jpt/constants",
    tags=["constants-常量管理"],
)


def format_constants(constants: dict):
    return [{'id': k, 'value': v} for k, v in constants.items()]

@router.post("/datasources")
@web_try()
@sxtimeit
def get_datasources():
    return format_constants(CONSTANTS['DATASOURCES'])
