
import base64
from configs.logging import logger

def decode_user(username, password):
    if not username or not password:
        return '' , ''
    try:
        u = base64.b64decode(username).decode('utf-8')
        p = base64.b64decode(password).decode('utf-8')
        return u, p
    except Exception as e:
        logger.error(e)
        return username, password


def encode_base64(str):
    return  base64.encodebytes(str.encode('utf-8')).decode('utf-8')
